package ex5;

import java.util.ArrayList;
import java.util.List;

public class CsvValidator {
	
	List<ColumnValidator> columnValidators = new ArrayList<ColumnValidator>();

	public CsvValidator() {
		ColumnValidator nameValidator = new ColumnValidator("O");
		nameValidator.add(new RequiredValidator());
		nameValidator.add(new MaxLengthValidator(20));
		columnValidators.add(nameValidator);

		ColumnValidator ageValidator = new ColumnValidator("N");
		ageValidator.add(new NotEmptyCondition(
				new NumberValidator(),
				new RangeValidator(20, 100)));
		columnValidators.add(ageValidator);	
	}
	
	/** CSV1s؂܂B */
	public void validate(String[] values) {
		for (int i = 0; i < values.length; i++) {
			String value = values[i];
			ColumnValidator v = columnValidators.get(i);
			v.validate(value);
		}
	}
}
