package ex6;

import java.util.ArrayList;
import java.util.List;

public class ColumnValidator {
	private String name;
	private List<IValidator> validators = new ArrayList<IValidator>();
	public ColumnValidator(String name) {
		this.name = name;
	}
	public void add(IValidator validator) {
		validators.add(validator);
	}
	public void validate(String value) {
		for (IValidator v : validators) {
			String error = v.valid(name, value);
			if (error != null) {
				throw new ValidException(error);
			}
		}
	}
}