package ex6;

import java.util.ArrayList;
import java.util.List;

import ex5.ColumnValidator;
import ex5.MaxLengthValidator;
import ex5.NotEmptyCondition;
import ex5.NumberValidator;
import ex5.RangeValidator;
import ex5.RequiredValidator;

public class CsvValidator {
	List<ColumnValidator> columnValidators = new ArrayList<ColumnValidator>();
	List<IRowValidator> rowValidators = new ArrayList<IRowValidator>();

	public CsvValidator() {
		ColumnValidator nameValidator = new ColumnValidator("O");
		nameValidator.add(new RequiredValidator());
		nameValidator.add(new MaxLengthValidator(20));
		columnValidators.add(nameValidator);
		ColumnValidator ageValidator = new ColumnValidator("N");
		ageValidator.add(new NotEmptyCondition(
				new NumberValidator(),
				new RangeValidator(20, 100)));
		columnValidators.add(ageValidator);	
		columnValidators.add(new ColumnValidator("N"));
		columnValidators.add(new ColumnValidator(""));
		columnValidators.add(new ColumnValidator(""));	
		rowValidators.add(new DateValidator(2, 3, 4));
	}
	
	/** CSV1s؂܂B */
	public void validate(String[] values) {
		//@sPʂ̌
		for (IRowValidator v : rowValidators) {
			v.validate("N", values);
		}
		// Pʂ̌
		for (int i = 0; i < values.length; i++) {
			String value = values[i];
			ColumnValidator v = columnValidators.get(i);
			v.validate(value);
		}
	}
}
